Bug 918954 - kernel 3.16.7.-7-desktop shows davfs2 relevant bug known of kernel branch 3.17
kernel 3.16.7.-7-desktop shows davfs2 relevant bug known of kernel branch 3.17
Status: RESOLVED FIXED
: 918638 925498 (view as bug list)
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
13.2
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Miklos Szeredi
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-22 01:49 UTC by Klaus Wolf
Modified: 2015-04-22 11:50 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Klaus Wolf 2015-02-22 01:49:12 UTC
With current kernel 3.16.7-7-desktop I get an error message while copying to a davfs2-1.5.2-1.1 filesystem:

cp ~/58kfile ~/MyDrive
cp: error writing ‘/home/kj/MyDrive/58kfile’: Input/output error
cp: failed to extend ‘/home/kj/MyDrive/58kfile’: Input/output error

One can avoid this error by copying with tar (unreliable workaround), like this:

tar -cf - -C ~ 58kfile |tar -xf - -C ~/MyDrive

I know this problem from kernel branch 3.17, coreutils is innocent:

http://thread.gmane.org/gmane.comp.file-systems.fuse.devel/14095

This one is long time fixed. You should backport the fix.
Comment 1 Takashi Iwai 2015-02-22 09:04:08 UTC
Miklos, could you take care of this?
Comment 2 Miklos Szeredi 2015-03-03 14:06:04 UTC
Commits

c7f3888ad7f0 "switch iov_iter_get_pages() to passing maximal number of pages"
2c80929c4c4d "fuse: honour max_read and max_write in direct_io mode"

pushed to openSUSE-13.2 branch.
Comment 3 Wolfgang Bauer 2015-03-04 11:43:54 UTC
*** Bug 918638 has been marked as a duplicate of this bug. ***
Comment 4 Klaus Wolf 2015-03-23 15:30:41 UTC
With all due respect, the bug might be fixed in the source tree, but is apparently unavailble to users.
Comment 5 Wolfgang Bauer 2015-03-23 15:48:35 UTC
(In reply to Klaus Wolf from comment #4)
> With all due respect, the bug might be fixed in the source tree, but is
> apparently unavailble to users.

A kernel update (including this fix) has been submitted to the maintenance process:
https://build.opensuse.org/patchinfo/show/openSUSE:Maintenance:3606/patchinfo

It takes a while until this is released though, because of the review and testing (normally about a week, for a kernel it takes a bit longer apparently).

If you want to install/test the update _now_, the packages are available from the update-test repo:
http://download.opensuse.org/update/13.2-test/
Comment 6 Klaus Wolf 2015-03-23 15:55:27 UTC
Thank you. I understand that there are difficulties before releasing a kernel patch.

It's just that we are not long before next OpenSUSE release, and it might obviously happen, that instead of fixing, you will ignore it. Like the 17 versions before, you did.

You incorporate the fix in your next release but don't fix the current one.

FIX THE DAMN BUG PLEASE NOW.

The actutal fix is long time incorparated in the mainline kernel.
Comment 7 Takashi Iwai 2015-03-23 15:58:12 UTC
Note that user can get the kernel packages built from the latest git branch in OBS Kernel:openSUSE-13.2 repo, too.  It's been available all the time.
Comment 8 Klaus Wolf 2015-03-23 16:04:11 UTC
Absolutely, you can get the kernel sources all the time.

But it's a thing difficult for a normal user to integrate e.g. nvidia drivers or such alike. If you try, your system will simply break.
Comment 9 Wolfgang Bauer 2015-03-23 16:05:41 UTC
(In reply to Klaus Wolf from comment #6)
> Thank you. I understand that there are difficulties before releasing a
> kernel patch.
> 
> It's just that we are not long before next OpenSUSE release, and it might
> obviously happen, that instead of fixing, you will ignore it. Like the 17
> versions before, you did.
> 
> You incorporate the fix in your next release but don't fix the current one.
> 
> FIX THE DAMN BUG PLEASE NOW.

What are you talking about?

The bug has been fixed, an update with the fix has been submitted to the maintenance process, and it will be released (for 13.2) after it has gone through that process.
Comment 10 Klaus Wolf 2015-03-23 16:08:58 UTC
You attendance is annoying, Wofgang Bauer.
Comment 11 Wolfgang Bauer 2015-03-23 16:12:39 UTC
(In reply to Klaus Wolf from comment #10)
> You attendance is annoying, Wofgang Bauer.

Your's too.
Comment 12 Takashi Iwai 2015-03-23 16:30:29 UTC
(In reply to Klaus Wolf from comment #8)
> Absolutely, you can get the kernel sources all the time.

No, no, you'll get the binary kernel-* rpm files built from the latest git branch in the given OBS repository:
   http://download.opensuse.org/repositories/Kernel:/openSUSE-13.2/standard/

You can add this repo like:
   zypper ar obs://Kernel:/openSUSE-13.2/standard KOTD
and
   zypper up -r KOTD -f kernel-desktop
and reboot.  That's all.

This is no official update release, so thie kernel itself isn't tested by QA.  But it contains the latest fixes applied to openSUSE-13.2 git branch.
Comment 13 Klaus Wolf 2015-03-23 17:35:37 UTC
Obviously, you're making it a joke.

Quite funny.

There is no way for me on further using OpenSUSE.

Case CLOSED.
Comment 14 Takashi Iwai 2015-03-24 17:05:22 UTC
Let's close, really.
Comment 15 Wolfgang Bauer 2015-04-01 16:59:58 UTC
*** Bug 925498 has been marked as a duplicate of this bug. ***
Comment 16 Swamp Workflow Management 2015-04-13 12:15:50 UTC
openSUSE-SU-2015:0713-1: An update that solves 13 vulnerabilities and has 52 fixes is now available.

Category: security (important)
Bug References: 867199,893428,895797,900811,901925,903589,903640,904899,905681,907039,907818,907988,908582,908588,908589,908592,908593,908594,908596,908598,908603,908604,908605,908606,908608,908610,908612,909077,909078,909477,909634,910150,910322,910440,911311,911325,911326,911356,911438,911578,911835,912061,912202,912429,912705,913059,913466,913695,914175,915425,915454,915456,915577,915858,916608,917830,917839,918954,918970,919463,920581,920604,921313,922542,922944
CVE References: CVE-2014-8134,CVE-2014-8160,CVE-2014-8559,CVE-2014-9419,CVE-2014-9420,CVE-2014-9428,CVE-2014-9529,CVE-2014-9584,CVE-2014-9585,CVE-2015-0777,CVE-2015-1421,CVE-2015-1593,CVE-2015-2150
Sources used:
openSUSE 13.2 (src):    bbswitch-0.8-3.6.6, cloop-2.639-14.6.6, crash-7.0.8-6.6, hdjmod-1.28-18.7.6, ipset-6.23-6.6, kernel-docs-3.16.7-13.2, kernel-obs-build-3.16.7-13.7, kernel-obs-qa-3.16.7-13.1, kernel-obs-qa-xen-3.16.7-13.1, kernel-source-3.16.7-13.1, kernel-syms-3.16.7-13.1, pcfclock-0.44-260.6.2, vhba-kmp-20140629-2.6.2, virtualbox-4.3.20-10.2, xen-4.4.1_08-12.2, xtables-addons-2.6-6.2